> ## Documentation Index
> Fetch the complete documentation index at: https://ormilabs.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get one transaction

> Get a single transaction by transaction hash.



## OpenAPI

````yaml get /apechain/v1/transaction/{txHash}
openapi: 3.0.3
info:
  description: ''
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  title: Data API
  version: 1.0.0
servers:
  - description: The DEV base URL for the API
    url: https://data-api.cloud.ormi.dev
security: []
paths:
  /apechain/v1/transaction/{txHash}:
    get:
      tags:
        - Transactions
      summary: Get one transaction
      description: Get a single transaction by transaction hash.
      operationId: getOneTransaction
      parameters:
        - description: Transaction hash.
          in: path
          name: txHash
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Transaction'
              examples:
                example1:
                  value:
                    block_hash: >-
                      0x913f54e7329b3291b2e57051efd54cf5bd0142225090101474feedc9fc8d6d1e
                    block_number: 11260237
                    block_timestamp: '2025-03-09T13:20:30Z'
                    contract_address: ''
                    cumulative_gas_used: '147289'
                    effective_gas_price: '25420690000'
                    from_address: '0x3f99ef93802b9d82725d3df9ec045868fe87ef12'
                    gas: '1000000'
                    gas_price: '25420690000'
                    gas_used: '147289'
                    input: >-
                      0xe49c826f000000000000000000000000624f9c03a1c8f5da87479006b63390243d08a7fe0000000000000000000000003c030fb2ac518d06e377b687ad4584b9ab26231d00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001
                    l1_fee: null
                    l1_fee_scalar: null
                    l1_gas_price: null
                    l1_gas_used: null
                    max_fee_per_gas: ''
                    max_priority_fee_per_gas: ''
                    nonce: '945233'
                    status: 1
                    to_address: '0x20237a1b513ea944ef621d90551c6b578dd14060'
                    transaction_hash: >-
                      0x000007b2cd3d9794626a0618a3cc357e410bac4fe513a54aa88dd226f839040d
                    transaction_index: 1
                    transaction_type: 0
                    value: '0'
          description: OK
components:
  schemas:
    Transaction:
      properties:
        block_hash:
          type: string
        block_number:
          format: int64
          type: integer
        block_timestamp:
          format: date-time
          type: string
        decoded:
          type: string
        from_address:
          type: string
        gas:
          type: string
        gas_price:
          type: string
        input:
          type: string
        max_fee_per_gas:
          type: string
        max_priority_fee_per_gas:
          type: string
        nonce:
          type: string
        to_address:
          type: string
        transaction_hash:
          type: string
        transaction_index:
          type: integer
        transaction_type:
          type: integer
        value:
          type: string
      required:
        - transaction_hash
        - transaction_index
        - nonce
        - block_hash
        - block_number
        - block_timestamp
        - from_address
        - to_address
        - value
        - gas
        - gas_price
        - max_fee_per_gas
        - max_priority_fee_per_gas
        - input
        - transaction_type
        - decoded
      type: object

````